# Uses of Annotation Interface
org.apache.lucene.util.SuppressForbidden

Packages that use SuppressForbidden
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.store
Binary i/o API, used for all index data.
org.apache.lucene.util
Some utility classes.

- ## Uses of SuppressForbidden in org.apache.lucene.index

  Methods in org.apache.lucene.index with annotations of type SuppressForbidden
  Modifier and Type
  Method
  Description
  `int`
  CheckIndex.`doCheck(CheckIndex.Options opts)`
  Actually perform the index check
  `static CheckIndex.Options`
  CheckIndex.`parseOptions(String[] args)`
  Parse command line args into fields

- ## Uses of SuppressForbidden in org.apache.lucene.store

  Classes in org.apache.lucene.store with annotations of type SuppressForbidden
  Modifier and Type
  Class
  Description
  `class`
  `LockVerifyServer`
  Simple standalone server that must be running when you use `VerifyingLockFactory`.
  Methods in org.apache.lucene.store with annotations of type SuppressForbidden
  Modifier and Type
  Method
  Description
  `static void`
  LockStressTest.`main(String[] args)`
  `Lock`
  SleepingLockWrapper.`obtainLock(String lockName)`
  `long`
  RateLimiter.SimpleRateLimiter.`pause(long bytes)`
  Pauses, if necessary, to keep the instantaneous IO rate at or below the target.

- ## Uses of SuppressForbidden in org.apache.lucene.util

  Methods in org.apache.lucene.util with annotations of type SuppressForbidden
  Modifier and Type
  Method
  Description
  `boolean`
  PrintStreamInfoStream.`isSystemStream()`